Accounts - List Keys
Lists the account keys for the specified Cognitive Services account.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/listKeys?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 2maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$ |
The name of Cognitive Services account. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Returns with a response body containing the subscription keys for the resource: key1 The first API key for authentication when client calls the API endpoint. key2 The second API key for authentication when client calls the API endpoint. |
|
| Other Status Codes |
Error response describing why the operation failed |
Examples
List Keys
Sample request
POST https://management.azure.com/subscriptions/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/myAccount/listKeys?api-version=2024-10-01
Sample response
{
"key1": "KEY1",
"key2": "KEY2"
}
Definitions
| Name | Description |
|---|---|
|
Api |
The access keys for the cognitive services account. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
ApiKeys
The access keys for the cognitive services account.
| Name | Type | Description |
|---|---|---|
| key1 |
string |
Gets the value of key 1. |
| key2 |
string |
Gets the value of key 2. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |